@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800;900&display=swap");

/* VARIABLE */

:root {
  --primary: #15616d;
  --secondary: #ff7d00;
  --tertiary: #78290f;
  --quaternary: white;
  --quinary: #001524;

  --font: "Poppins", sans-serif;
}

/* RESET */
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  font: 1rem var(--font);
  height: 100dvh;
  display: flex;
  flex-direction: column;
  flex: 1;
  color: var(--quaternary);
  background-color: var(--quinary);
}
ul {
  list-style: none;
}
a {
  text-decoration: none;
}
img {
  max-width: 100%;
  height: auto;
}
button {
  border: none;
  outline: none;
  cursor: pointer;
  background-color: transparent;
}
input {
  border: none;
  outline: none;
  background-color: transparent;
  font-family: var(--font);
}
input:focus {
  outline: none;
}

/* SCROLL BAR */

::-webkit-scrollbar {
  width: 10px;
}

::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background: var(--primary);
  border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
  background: var(--secondary);
}

/* CONTAINER */

.container {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 40px;
  padding: 40px;
}

.container .welcome {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.container .welcome h1 {
  font-size: 3em;
  font-weight: 800;
  color: var(--quaternary);
  text-transform: uppercase;
  letter-spacing: 0.2em;
}

.container .welcome .admin {
  color: var(--secondary);
  text-transform: uppercase;
  font-weight: 500;
}

/* FOOTER */
.footer {
  position: relative;
  margin-top: auto;
  bottom: 0;
  width: 100%;
  min-height: 100px;
  padding: 20px 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.footer .menu {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 10px 0;
  flex-wrap: wrap;
}

.footer .menuItem {
  list-style: none;
}

.footer .menuLink {
  font-size: 1.2rem;
  color: var(--quinary);
  margin: 0 10px;
  display: inline-block;
  transition: 0.5s;
  text-decoration: none;
  opacity: 0.75;
  font-weight: 300;
}

.footer .menuLink:hover {
  opacity: 1;
}

.footer p {
  color: var(--quinary);
  margin: 15px 0 10px 0;
  font-size: 1rem;
  font-weight: 300;
}

.footer .waves {
  position: absolute;
  width: 100%;
  height: 35vh;
  min-height: 100px;
  max-height: 250px;
  bottom: 0;
  left: 0;
  z-index: -1;
}

.footer .parallax > use {
  animation: move-forever 25s cubic-bezier(0.55, 0.5, 0.45, 0.5) infinite;
}

.footer .parallax > use:nth-child(1) {
  animation-delay: -2s;
  animation-duration: 7s;
}

.footer .parallax > use:nth-child(2) {
  animation-delay: -3s;
  animation-duration: 10s;
}

.footer .parallax > use:nth-child(3) {
  animation-delay: -4s;
  animation-duration: 13s;
}

.footer .parallax > use:nth-child(4) {
  animation-delay: -5s;
  animation-duration: 20s;
}

@keyframes move-forever {
  0% {
    transform: translate3d(-90px, 0, 0);
  }

  100% {
    transform: translate3d(85px, 0, 0);
  }
}

/* VIDEO OVERLAY */

.home video,
.error404 video {
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
}

.home .overlay,
.error404 .overlay {
  position: fixed;
  z-index: -1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--quinary);
  opacity: 0.6;
}
